import request from '@/utils/request'

// 查询停车场信息列表
export function listParkingLot(query) {
  return request({
    url: '/info/parkingLot/list',
    method: 'get',
    params: query
  })
}

// 查询停车场信息详细
export function getParkingLot(parkingId) {
  return request({
    url: '/info/parkingLot/' + parkingId,
    method: 'get'
  })
}

// 新增停车场信息
export function addParkingLot(data) {
  return request({
    url: '/info/parkingLot',
    method: 'post',
    data: data
  })
}

// 修改停车场信息
export function updateParkingLot(data) {
  return request({
    url: '/info/parkingLot',
    method: 'put',
    data: data
  })
}

// 删除停车场信息
export function delParkingLot(parkingId) {
  return request({
    url: '/info/parkingLot/' + parkingId,
    method: 'delete'
  })
}

// 导出停车场信息
export function exportParkingLot(query) {
  return request({
    url: '/info/parkingLot/export',
    method: 'get',
    params: query
  })
}
